gnutls_transport_set_pull_timeout_function(3)

NAME
gnutls_transport_set_pull_timeout_function - API function

SYNOPSIS
#include <gnutls/gnutls.h>

void gnutls_transport_set_pull_timeout_function(gnutls_session_t session, gnutls_pull_timeout_func func);

ARGUMENTS

gnutls_session_t session
    is a gnutls_session_t structure.

gnutls_pull_timeout_func func
    a callback function

DESCRIPTION
This is the function where you set a function for gnutls to know whether data are ready to be received. It should wait for data a given time frame in milliseconds. The callback should return 0 on timeout, a positive number if data can be received, and -1 on error. You'll need to override this function if select() is not suitable for the provided transport calls. As with select(), if the timeout value is zero the callback should return zero if no data are immediately available.
 gnutls_pull_timeout_func is of the form, int (*gnutls_pull_timeout_func)(gnutls_transport_ptr_t, unsigned int ms);

SINCE
3.0

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.
General guidelines for reporting bugs: http://www.gnu.org/gethelp/
GnuTLS home page: http://www.gnu.org/software/gnutls/

COPYRIGHT
Copyright © 2001-2013 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual. As an alternative you may obtain the manual from:

    http://www.gnu.org/software/gnutls/manual/